Panda3D

Loading...
Searching...
No Matches
Classes | Functions
eggRenderMode.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "typedObject.h"`
`#include "eggRenderMode.I"`

Go to the source code of this file.

## Classes
class | EggRenderMode
| This class stores miscellaneous rendering properties that is associated with geometry, and which may be set on the geometry primitive level, on the group above it, or indirectly via a texture. More...

## Functions
EXPCL_PANDA_EGG std::ostream & | operator<< (std::ostream &out, EggRenderMode::AlphaMode mode)
EXPCL_PANDA_EGG std::ostream & | operator<< (std::ostream &out, EggRenderMode::DepthTestMode mode)
EXPCL_PANDA_EGG std::ostream & | operator<< (std::ostream &out, EggRenderMode::DepthWriteMode mode)
EXPCL_PANDA_EGG std::ostream & | operator<< (std::ostream &out, EggRenderMode::VisibilityMode mode)
EXPCL_PANDA_EGG std::istream & | operator>> (std::istream &in, EggRenderMode::AlphaMode &mode)

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  1999-01-20

Definition in file eggRenderMode.h.

## Function Documentation

## ◆ operator<<() [1/4]

EXPCL_PANDA_EGG std::ostream & operator<< | ( | std::ostream & | out,
|  | EggRenderMode::AlphaMode | mode )

Definition at line 249 of file eggRenderMode.cxx.

## ◆ operator<<() [2/4]

EXPCL_PANDA_EGG std::ostream & operator<< | ( | std::ostream & | out,
|  | EggRenderMode::DepthTestMode | mode )

Definition at line 307 of file eggRenderMode.cxx.

## ◆ operator<<() [3/4]

EXPCL_PANDA_EGG std::ostream & operator<< | ( | std::ostream & | out,
|  | EggRenderMode::DepthWriteMode | mode )

Definition at line 290 of file eggRenderMode.cxx.

## ◆ operator<<() [4/4]

EXPCL_PANDA_EGG std::ostream & operator<< | ( | std::ostream & | out,
|  | EggRenderMode::VisibilityMode | mode )

Definition at line 326 of file eggRenderMode.cxx.

## ◆ operator>>()

EXPCL_PANDA_EGG std::istream & operator>> | ( | std::istream & | in,
|  | EggRenderMode::AlphaMode & | mode )

Definition at line 280 of file eggRenderMode.cxx.